petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatGetType

Gets the matrix type as a string from the matrix object.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatGetType(Mat mat,MatType *type)

Not Collective

### Input Parameter

mat -the matrix

### Output Parameter

name -name of matrix type

### Keywords

Mat, MatType, get, method, name

### See Also

MatSetType()

Level:intermediate
Location:src/mat/interface/matreg.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages